[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.UpdateTabProperties

Applies property changes for all of the pages on the tab control to the widgetset class instances.

## Declaration

Source position: comctrls.pp line 454

`protected procedure TCustomTabControl.UpdateTabProperties; virtual;`

## Description

Calls the UpdateTabProperties method for the page objects defined in the widget instance.

No actions are performed in the method if the Handle has not been allocated for the widget instance.

## See also

TCustomTabControl.Page |  | Provides indexed access to the page objects used on the tabbed control.
TCustomTabControl.PageCount |  | Returns the number of page objects stored in the internal page list for the tabbed control.